Package org.kapott.hbci.GV.parsers

# Enum ISEPAParser.Names

java.lang.Object
java.lang.Enum<ISEPAParser.Names>
org.kapott.hbci.GV.parsers.ISEPAParser.Names

All Implemented Interfaces:
  `Serializable`, `Comparable<ISEPAParser.Names>`, `java.lang.constant.Constable`

Enclosing interface:
  ISEPAParser<T>

public static enum ISEPAParser.Names extends Enum<ISEPAParser.Names>
Enums fuer die verwendeten Schluessel-Namen in den Properties.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BATCHBOOK`
`CREDITORID`
`CURR`
`DATE`
`DST_BIC`
`DST_IBAN`
`DST_NAME`
`ENDTOENDID`
`LAST_TYPE`
`MANDATEID`
`MANDDATEOFSIG`
`PMTINFID`
`PURPOSECODE`
`SEQUENCETYPE`
`SRC_BIC`
`SRC_IBAN`
`SRC_NAME`
`TARGETDATE`
`USAGE`
`VALUE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Liefert den Schluessel-Namen.
`static ISEPAParser.Names`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ISEPAParser.Names[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SRC_NAME

public static final ISEPAParser.Names SRC_NAME

### SRC_IBAN

public static final ISEPAParser.Names SRC_IBAN

### SRC_BIC

public static final ISEPAParser.Names SRC_BIC

### DST_NAME

public static final ISEPAParser.Names DST_NAME

### DST_IBAN

public static final ISEPAParser.Names DST_IBAN

### DST_BIC

public static final ISEPAParser.Names DST_BIC

### VALUE

public static final ISEPAParser.Names VALUE

### CURR

public static final ISEPAParser.Names CURR

### USAGE

public static final ISEPAParser.Names USAGE

### DATE

public static final ISEPAParser.Names DATE

### ENDTOENDID

public static final ISEPAParser.Names ENDTOENDID

### PMTINFID

public static final ISEPAParser.Names PMTINFID

### PURPOSECODE

public static final ISEPAParser.Names PURPOSECODE

### LAST_TYPE

public static final ISEPAParser.Names LAST_TYPE

### CREDITORID

public static final ISEPAParser.Names CREDITORID

### MANDATEID

public static final ISEPAParser.Names MANDATEID

### MANDDATEOFSIG

public static final ISEPAParser.Names MANDDATEOFSIG

### SEQUENCETYPE

public static final ISEPAParser.Names SEQUENCETYPE

### TARGETDATE

public static final ISEPAParser.Names TARGETDATE

### BATCHBOOK

public static final ISEPAParser.Names BATCHBOOK

## Method Details

### values

public static ISEPAParser.Names[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ISEPAParser.Names valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()
Liefert den Schluessel-Namen.

Returns:
  der Schluessel-Name.